(function($){





    InstallEasySalesTheme = {





        /**


         * Init


         */


        init: function() {


            this._bind();


        },





        /**


         * Binds events for the Membership Site To Go Theme Installation.


         *


         * @since 2.0.3


         *


         * @access private


         * @method _bind


         */


        _bind: function()


        {


            $( document ).on( 'click', '.instant-setup-wizard-sites-theme-not-installed', InstallEasySalesTheme._install_and_activate );


            $( document ).on( 'click', '.instant-setup-wizard-sites-theme-installed-but-inactive', InstallEasySalesTheme._activateTheme );


            $( document ).on('wp-theme-install-success' , InstallEasySalesTheme._activateTheme);


            $( document ).on('click', '.instant-setup-wizard-notice .notice-dismiss', InstallEasySalesTheme._dismissNotice );


        },





        /**


         * Activate Theme


         *


         * @since 2.0.3


         */


        _activateTheme: function( event, response ) {


            event.preventDefault();





            $('#easy-sales-theme-activation a').addClass('processing');





            if( response ) {


                $('#easy-sales-theme-activation a').text( EasySalesInstallThemeVars.installed );


            } else {


                $('#easy-sales-theme-activation a').text( EasySalesInstallThemeVars.activating );


            }





            // WordPress adds "Activate" button after waiting for 1000ms. So we will run our activation after that.


            setTimeout( function() {





                $.ajax({


                    url: EasySalesInstallThemeVars.ajaxurl,


                    type: 'POST',


                    data: {


                        'action' : 'instant-setup-wizard-activate-theme',


                        '_ajax_nonce' : EasySalesInstallThemeVars._ajax_nonce,


                    },


                })


                    .done(function (result) {


                        if( result.success ) {


                            $('#easy-sales-theme-activation a').text( EasySalesInstallThemeVars.activated );





                            setTimeout(function() {


                                location.reload();


                            }, 1000);


                        }





                    });





            }, 3000 );





        },





        /**


         * Install and activate


         *


         * @since 2.0.3


         *


         * @param  {object} event Current event.


         * @return void


         */


        _install_and_activate: function(event ) {


            event.preventDefault();


            var theme_slug = $(this).data('theme-slug') || '';


            var btn = $( event.target );





            if ( btn.hasClass( 'processing' ) ) {


                return;


            }





            btn.text( EasySalesInstallThemeVars.installing ).addClass('processing');





            if ( wp.updates.shouldRequestFilesystemCredentials && ! wp.updates.ajaxLocked ) {


                wp.updates.requestFilesystemCredentials( event );


            }





            wp.updates.installTheme( {


                slug: theme_slug


            });


        },





        /**


         * Dismiss notice if user has clicked on dismiss


         *


         * @since 2.0.3


         *


         */


        _dismissNotice: function( event ) {


            event.preventDefault();





            var notice_id = $( this ).parents('.instant-setup-wizard-notice').attr( 'id' ) || '';





            if( '' === notice_id ) {


                return;


            }





            $.ajax({


                url: ajaxurl,


                type: 'POST',


                data: {


                    action            : 'instant-setup-wizard-notice-dismiss',


                    notice_id         : notice_id,


                    _ajax_nonce       : EasySalesInstallThemeVars._ajax_nonce,


                },


            });





        },





    };





    /**


     * Initialize


     */


    $(function(){


        InstallEasySalesTheme.init();


    });





})(jQuery);