<?php
/**
 * Provide a admin area view for the plugin
 *
 * This file is used to markup the admin-facing aspects of the plugin.
 *
 * @link       https://eshowcase.com/
 * @since      1.0.0
 *
 * @package    Membership Site To Go Ready Sites
 */
?>




<!-- This file should primarily consist of HTML with a little bit of PHP. -->





<div id="instant-setup-wizard-preview"></div>





<div id="instant-setup-wizard-import-options"></div>





<div id="instant-setup-wizard-admin-page">





	<div class="instant-setup-wizard-sites-header">





		<span class="ready-site-list-title"><?php esc_html_e( 'Membership Site To Go Ready Websites', 'instant-setup-wizard' ); ?></span>





		<p class="ready-site-list-intro"><?php esc_html_e( 'Build your Membership Site To Go website in 3 simple steps - import a ready website, change content and launch.', 'instant-setup-wizard' ); ?></p>


	</div>





	<div class="theme-browser rendered">

		<div id="instant-setup-wizard-sites" class="themes wp-clearfix"></div>

	</div>











</div>











<?php





/**





 * TMPL - List





 */





?>











<script type="text/template" id="tmpl-instant-setup-wizard-sites-list">



	<# for ( key in data ) { #>


		{{ data }}

		<div class="theme inactive ra-site-single {{ data[ key ].status }} {{ data[ key ].class }}" tabindex="0" aria-describedby="instant-setup-wizard-theme-action instant-setup-wizard-theme-name"





			 data-demo-id="{{{ data[ key ].id }}}"





			 data-demo-url="{{{ data[ key ]['site_url'] }}}"





			 data-demo-slug="{{{  data[ key ].slug }}}"





			 data-demo-name="{{{  data[ key ].title.rendered }}}"





			 data-active-site="{{{  data.active_site }}}"





			 data-demo-type="{{{ data[ key ].demo_type }}}"





			 data-wpforms-path="{{{ data[ key ].wpforms_path }}}"





			 data-allow-pages="{{{ data[ key ].allow_pages }}}"





			 data-check_plugins_installed="{{{ data[ key ].check_plugins_installed }}}"





			 data-screenshot="{{{ data[ key ]['featured_image_url'] }}}"





			 data-required-plugins="{{ JSON.stringify(data[ key ]['required_plugins']) }}"





			 data-pages="{{ JSON.stringify(data[ key ]['pages'] )}}"





			 data-required-pro-plugins="{{ JSON.stringify(data[ key ]['required_pro_plugins']) }}">





			<input type="hidden" class="site_options_data" value="{{ JSON.stringify(data[ key ][ 'site_options_data' ]) }}">





		<div class="inner">





					<span class="site-preview" data-href="{{ data[ key ]['instant-setup-wizard-site-url'] }}?TB_iframe=true&width=600&height=550" data-title="data title">





						<div class="theme-screenshot" style="background-image: url('{{ data[ key ]['featured_image_url'] }}');"></div>





					</span>





			<span class="demo-type {{{ data[ key ].demo_type }}}">{{{ data[ key ].demo_type }}}</span>





			<# if (data[ key ].slug === data.active_site ) { #>





				<span class="current_active_site"><?php esc_html_e( 'Currently Active', 'instant-setup-wizard' ); ?></span>





			<# } #>





			<div class="theme-id-container">





				<h3 class="theme-name" id="instant-setup-wizard-theme-name">{{{ data[ key ].title.rendered }}}</h3>





				<div class="theme-actions">





					<button class="button-primary button preview install-theme-preview"><?php esc_html_e( 'Preview', 'instant-setup-wizard' ); ?></button>





				</div>





			</div>





		</div>





	</div>





	<# } #>





</script>





<?php





/** Site suggestion block */





?>





<script type="text/template" id="tmpl-instant-setup-wizard-sites-suggestions">





	<div class="instant-setup-wizard-sites-suggestions">





		<div class="inner">





            <h3><?php esc_html_e( 'Sorry No Results Found.', 'instant-setup-wizard' ); ?></h3>





            <div class="content">





                <div class="description">





			        <p>





				        <?php





				            /* translators: %1$s External Link */





				            printf( __( 'Can\'t find a Membership Site To Go Ready Site that suits your purpose ?<br><a target="_blank" href="%1$s">Suggest A Site</a>', 'instant-setup-wizard' ), esc_url( 'mailto:support@eshowcase.com?Subject=New%20Site%20Suggestion' ) );





				        ?>





			        </p>





                </div>





            </div>





		</div>





	</div>





</script>





<?php





/** Single Demo Preview */





?>











<script type="text/template" id="tmpl-instant-setup-wizard-preview">





	<div class="instant-setup-wizard-preview theme-install-overlay wp-full-overlay collapsed"





		 data-demo-id="{{{data.id}}}"





		 data-demo-url="{{{data.demo_url}}}"





		 data-demo-api="{{{data.demo_api}}}"





		 data-demo-name="{{{data.name}}}"





		 data-active-site="{{{data.active_site}}}"





		 data-demo-type="{{{data.demo_type}}}"





		 data-wpforms-path="{{{data.wpforms_path}}}"





		 data-check_plugins_installed="{{{data.check_plugins_installed}}}"





		 data-demo-slug="{{{data.slug}}}"





		 data-screenshot="{{{data.screenshot}}}"





		 data-required-plugins="{{data.required_plugins}}"





		 data-required-pro-plugins="{{data.required_pro_plugins}}"





		 data-pages="{{data.pages}}">





		<input type="hidden" class="instant-setup-wizard-site-options" value="{{data.site_options_data}}" >





		<div class="wp-full-overlay-header">





			<div>





				<span class="instant-setup-wizard-site-demo-name">{{data.name}}</span>





				<# if ( data.demo_type == "free" || data.is_instant_setup_wizard_pro_installed ) { #>











				<a class="button button-primary instant-setup-wizard instant-setup-wizard-demo-import-options-{{{data.demo_type}}}" href="#"><?php esc_html_e( 'Import Site', 'instant-setup-wizard' ); ?></a>











					<# if ( data.allow_pages ) { #>











					<a class="button button-primary instant-setup-wizard instant-setup-wizard-page-import-options-{{{data.demo_type}}}" href="#"><?php esc_html_e( 'Import Template', 'instant-setup-wizard' ); ?></a>











					<# } #>





				<# } else { #>











				<a class="button button-primary instant-setup-wizard instant-setup-wizard-buy-pro" href="https://eshowcase.com/instant-setup-wizard-go-pro/?utm_source=free-to-pro&utm_medium=instant-setup-wizard&utm_campaign=instant-setup-wizard-pro&utm_content=preview-ready-site" target="_blank"><?php esc_html_e( 'Buy Membership Site To Go Pro', 'instant-setup-wizard' ); ?></a>











				<# } #>





				<button class="close-full-overlay instant-setup-wizard"><span class="screen-reader-text"><?php esc_html_e( 'Close', 'instant-setup-wizard' ); ?></span></button>





			</div>





		</div>





		<div class="wp-full-overlay-main" rel="{{{data.demo_url}}}">





			<iframe src="{{{data.demo_url}}}" title="<?php esc_attr_e( 'Preview', 'instant-setup-wizard' ); ?>"></iframe>





		</div>





	</div>





</script>











<?php





/** Theme Import Options Page */





?>





<script type="text/template" id="tmpl-instant-setup-wizard-import-options-page">





		<div class="instant-setup-wizard-advanced-options-wrap wp-full-overlay collapsed"





			 data-demo-id="{{{data.id}}}"





			 data-demo-url="{{{data.demo_url}}}"





			 data-demo-api="{{{data.demo_api}}}"





			 data-demo-name="{{{data.name}}}"





			 data-demo-type="{{{data.demo_type}}}"





			 data-demo-slug="{{{data.slug}}}"





			 data-screenshot="{{{data.screenshot}}}"





			 data-required-plugins="{{data.required_plugins}}"





			 data-pages="{{data.pages}}"





			 data-required-pro-plugins="{{data.required_pro_plugins}}">





			<input type="hidden" class="instant-setup-wizard-site-options" value="{{data.site_options_data}}" >





			<input type="hidden" class="demo_site_id" value="{{{ data.id }}}">





			<div class="wp-full-overlay-header">





				<div>





					<span class="instant-setup-wizard-site-demo-name">{{data.name}}</span>





					<button class="close-full-overlay instant-setup-wizard"><span class="screen-reader-text"><?php esc_html_e( 'Close', 'instant-setup-wizard' ); ?></span></button>





				</div>





			</div>





			<div class="wp-full-overlay-main">





				<div class="sites-import-process-errors" style="display: none">





					<div class="import-process-error">





						<div class="current-importing-status-error-title"></div>





					</div>





				</div>











				<div class="site-import-options">





					<div class="instant-setup-wizard-advanced-options">





						<h2>Importing {{data.demo_name}}</h2>





						<p><?php esc_html_e( 'Importing This Licensed Project Website Will &hellip;', 'instant-setup-wizard' ); ?></p>





						<# if ( data.slug === data.active_site ) { #>





							<p><?php esc_html_e( 'This will delete previously imported site', 'instant-setup-wizard' ); ?></p>





						<# } #>





						<ul class="instant-setup-wizard-contents">





							<li class="instant-setup-wizard-import-plugins">





								<input type="checkbox" name="plugins" checked="checked" class="disabled checkbox" readonly>





								<strong><?php esc_html_e( 'Install Required Plugins', 'instant-setup-wizard' ); ?></strong>





								<span class="instant-setup-wizard-tooltip-icon instant-setup-wizard-tooltip-plugins-settings" data-tip-id="instant-setup-wizard-tooltip-plugins-settings"><span class="dashicons dashicons-arrow-down-alt2"></span></span>





								<div class="instant-setup-wizard-tooltip-message" id="instant-setup-wizard-tooltip-plugins-settings" style="display: none;">





									<ul class="required-plugins-list"><span class="spinner is-active"></span></ul>





									<# if ( data.pro_plugins_flag ) { #>





										<div class="instant-setup-wizard-third-party-plugins-warning"><?php _e( 'This ready site requires third party Premium Plugins. you\'ll need to purchase, install and activate. Ignore this if installed already.', 'instant-setup-wizard' ); ?></div>





										<ul class="required-third-party-plugins-list"><span class="is-active"></span></ul>





									<# } #>





								</div>





							</li>





							<li class="instant-setup-wizard-reset-data">





								<label>





									<input type="checkbox" name="reset" checked="checked" class="checkbox">





									<strong><?php esc_html_e( 'Delete Previous Import', 'instant-setup-wizard' ); ?></strong>





								</label>





								<span class="instant-setup-wizard-tooltip-icon instant-setup-wizard-tooltip-reset-data" data-tip-id="instant-setup-wizard-tooltip-reset-data"><span class="dashicons dashicons-arrow-down-alt2"></span></span>





								<div class="instant-setup-wizard-tooltip-message" id="instant-setup-wizard-tooltip-reset-data" style="display: none;">





									<p><?php esc_html_e( 'Deletes previous import including customizer settings and content. Plugins are not deleted.', 'instant-setup-wizard' ); ?></p>





								</div>





							</li>





							<li class="instant-setup-wizard-import-xml">





								<input type="checkbox" name="content" checked="checked" class="disabled checkbox" readonly>





								<strong><?php esc_html_e( 'Import Content', 'instant-setup-wizard' ); ?></strong>





								<span class="instant-setup-wizard-tooltip-icon instant-setup-wizard-tooltip-site-content" data-tip-id="instant-setup-wizard-tooltip-site-content"><span class="dashicons dashicons-arrow-down-alt2"></span></span>





								<div class="instant-setup-wizard-tooltip-message" id="instant-setup-wizard-tooltip-site-content" style="display: none;">





									<p><?php esc_html_e( 'Imports sample pages, posts, images and menus. Depending on your internet speed this may take 2-10 minutes.', 'instant-setup-wizard' ); ?></p>





								</div>





								<div class="instant-setup-wizard-import-process-wrap" style="display: none;">





									<progress class="instant-setup-wizard-import-process" max="100" value="0"></progress>





								</div>





							</li>





							<li class="instant-setup-wizard-import-customizer">





								<input type="checkbox" name="customizer" checked="checked" class="disabled checkbox" readonly>





								<strong><?php esc_html_e( 'Import Customizer Settings', 'instant-setup-wizard' ); ?></strong>





								<span class="instant-setup-wizard-tooltip-icon instant-setup-wizard-tooltip-customizer-settings" data-tip-id="instant-setup-wizard-tooltip-customizer-settings"><span class="dashicons dashicons-arrow-down-alt2"></span></span>





								<div class="instant-setup-wizard-tooltip-message" id="instant-setup-wizard-tooltip-customizer-settings" style="display: none;">





									<p><?php esc_html_e( 'Imports sample customizer settings including site identity, typography, colors and other theme options.', 'instant-setup-wizard' ); ?></p>





								</div>





								<div class="instant-setup-wizard-import-customizer-process-wrap" style="display: none;">





									<progress class="instant-setup-wizard-import-customizer-process" max="100" value="0"></progress>





								</div>





							</li>





						</ul>





					</div>





					<div class="instant-setup-wizard-import-button-wrap">





						<a class="button button-hero button-primary instant-setup-wizard-import-{{{data.demo_type}}}" href="#">





							<?php esc_html_e( 'Import Site', 'instant-setup-wizard' ); ?>





						</a>





					</div>





				</div>





				<div class="result_preview" style="display: none">





				</div>





			</div>





		</div>





</script>











<?php





/** Template Import Options Page */





?>





<script type="text/template" id="tmpl-instant-setup-wizard-import-page-preview-page">





	<div class="instant-setup-wizard-advanced-options-wrap template-preview-page wp-full-overlay collapsed"





		 data-demo-api="{{{data.demo_api}}}"





		 data-demo-name="{{{data.name}}}"





		 data-screenshot="{{{data.screenshot}}}"





		 data-demo-type="{{{data.demo_type}}}"





		 data-wpforms-path="{{{data.wpforms_path}}}"





		 data-required-plugins="{{data.required_plugins}}"





		 data-required-pro-plugins="{{data.required_pro_plugins}}">





		<div class="wp-full-overlay-header">





			<div>





				<span class="instant-setup-wizard-site-demo-name">{{data.name}}</span>





				<button class="close-full-overlay instant-setup-wizard"><span class="screen-reader-text"><?php esc_html_e( 'Close', 'instant-setup-wizard' ); ?></span></button>





			</div>





		</div>





		<div class="wp-full-overlay-main">





			<div class="sites-import-process-errors" style="display: none">





				<div class="import-process-error">





					<div class="current-importing-status-error-title"></div>





				</div>





			</div>











			<div class="theme-browser rendered">





				<div id="site-pages" class="themes wp-clearfix">





			<div class="single-site-wrap">





				<div class="single-site">





					<div class="single-site-preview-wrap">





						<div class="single-site-preview">





							<img class="theme-screenshot" data-src="" src="{{data.screenshot}}" />





						</div>





					</div>





					<div class="single-site-pages-wrap">





						<div class="instant-setup-wizard-pages-title-wrap">





							<span class="instant-setup-wizard-pages-title"><?php esc_html_e( 'Page Templates', 'instant-setup-wizard' ); ?></span>





						</div>





						<div class="single-site-pages">





							<div id="single-pages">





								<# for (page_id in data.pages)  { #>





								<#





								var required_plugins = [];





								for( id in data.pages[page_id]['free_plugins']) {





									JSON.parse( data.required_plugins ).forEach( function( single_plugin ) {





										if ( data.pages[page_id]['free_plugins'][id] == single_plugin.slug ) {





											required_plugins.push( single_plugin );





										}





									}





								);





								}





								var required_pro_plugins = [];





								for( id in data.pages[page_id]['pro_plugins']) {





									JSON.parse( data.required_pro_plugins ).forEach( function( single_plugin ) {





										if ( data.pages[page_id]['pro_plugins'][id] == single_plugin.slug ) {





											required_pro_plugins.push( single_plugin );





										}





									}





								);





								}





								#>





								<div class="theme instant-setup-wizard-theme site-single" data-page-id="{{data.pages[page_id]['page_id']}}" data-required-pro-plugins="{{ JSON.stringify( required_pro_plugins )}}" data-required-plugins="{{ JSON.stringify( required_plugins )}}" data-includes-wp-forms="{{ data.pages[page_id]['includes_wp_forms'] }}" >





									<div class="inner">





										<#





										var featured_image_class = '';





										var featured_image = data.pages[page_id]['featured_image'] || '';





										if( '' === featured_image ) {





										featured_image = '<?php echo esc_url( INSTANT_SETUP_WIZARD_DIR . 'inc/assets/images/placeholder.png' ); ?>';





										featured_image_class = ' no-featured-image ';





										}











										var thumbnail_image = data.pages[page_id]['thumbnail-image-url'] || '';





										if( '' === thumbnail_image ) {





										thumbnail_image = featured_image;





										}





										#>





										<span class="site-preview" data-title="{{ data.pages[page_id]['page_title'] }}">





										<div class="theme-screenshot one loading {{ featured_image_class }}" data-src="{{ featured_image }}" data-featured-src="{{ featured_image }}" data-demo-type="{{ data.demo_type }}" style="background-image: url('{{ featured_image }}');"></div>





									</span>





										<div class="theme-id-container">





											<h3 class="theme-name">





												{{{ data.pages[page_id]['page_title'] }}}





											</h3>





										</div>





									</div>





								</div>





								<# } #>





							</div>





						</div>





					</div>





					<div class="single-site-footer">





						<div class="site-action-buttons-wrap">





							<a href="{{{data.demo_api}}}" class="button button-hero site-preview-button" target="_blank">Preview "{{data.name}}" Site <i class="dashicons dashicons-external"></i></a>





							<div class="site-action-buttons-right">





								<div style="margin-left: 5px;" class="button button-hero button-primary single-page-import-button-{{{ data.demo_type }}} disabled"><?php esc_html_e( 'Select Template', 'instant-setup-wizard' ); ?></div>





							</div>





						</div>





					</div>





				</div>





			</div>





				</div>





			</div>





			<div class="result_preview" style="display: none">





			</div>





		</div>





	</div>





</script>











<script type="text/template" id="tmpl-instant-setup-wizard-import-single-page-options-page">





	<div class="instant-setup-wizard-advanced-options-wrap single-page-import-options-page wp-full-overlay collapsed"





		 data-page-id="{{{data.page_id}}}"





		 data-demo-api="{{{data.demo_api}}}"





		 data-includes-wp-forms="{{{data.includes_wp_forms}}}"





		 data-wpforms-path="{{{data.wpforms_path}}}"





		 data-required-plugins="{{ JSON.stringify( data.required_plugins )}}"





		 data-required-pro-plugins="{{ JSON.stringify( data.required_pro_plugins )}}">





		<div class="wp-full-overlay-header">





			<div>





				<span class="instant-setup-wizard-site-demo-name">{{data.name}}</span>





				<button class="close-full-overlay instant-setup-wizard"><span class="screen-reader-text"><?php esc_html_e( 'Close', 'instant-setup-wizard' ); ?></span></button>





			</div>





		</div>





		<div class="wp-full-overlay-main">





			<div class="sites-import-process-errors" style="display: none">





				<div class="import-process-error">





					<div class="current-importing-status-error-title"></div>





				</div>





			</div>











			<div class="site-import-options">





				<div class="instant-setup-wizard-advanced-options">





					<h2>Importing {{data.demo_name}}</h2>





					<p><?php esc_html_e( 'Importing this ready template will &hellip;', 'instant-setup-wizard' ); ?></p>





					<ul class="instant-setup-wizard-contents">





						<li class="instant-setup-wizard-import-plugins">





							<input type="checkbox" name="plugins" checked="checked" class="disabled checkbox" readonly>





							<strong><?php esc_html_e( 'Install Required Plugins', 'instant-setup-wizard' ); ?></strong>





							<span class="instant-setup-wizard-tooltip-icon instant-setup-wizard-tooltip-plugins-settings" data-tip-id="instant-setup-wizard-tooltip-plugins-settings"><span class="dashicons dashicons-arrow-down-alt2"></span></span>





							<div class="instant-setup-wizard-tooltip-message" id="instant-setup-wizard-tooltip-plugins-settings" style="display: none;">





								<ul class="required-plugins-list"><span class="spinner is-active"></span></ul>





								<# if ( data.pro_plugins_flag ) { #>





									<div class="instant-setup-wizard-third-party-plugins-warning"><?php _e( 'This ready template requires premium plugins. As these are third party premium plugins, you\'ll need to purchase, install and activate.', 'instant-setup-wizard' ); ?></div>





									<ul class="required-third-party-plugins-list"><span class="is-active"></span></ul>





								<# } #>





							</div>





						</li>





						<li class="instant-setup-wizard-import-xml">





							<input type="checkbox" name="content" checked="checked" class="disabled checkbox" readonly>





							<strong><?php esc_html_e( 'Import Content', 'instant-setup-wizard' ); ?></strong>





							<span class="instant-setup-wizard-tooltip-icon instant-setup-wizard-tooltip-site-content" data-tip-id="instant-setup-wizard-tooltip-site-content"><span class="dashicons dashicons-arrow-down-alt2"></span></span>





							<div class="instant-setup-wizard-tooltip-message" id="instant-setup-wizard-tooltip-site-content" style="display: none;">





								<p><?php esc_html_e( 'Imports ready template content. Depending on your internet speed this may take 1-3 minutes.', 'instant-setup-wizard' ); ?></p>





							</div>





							<div class="instant-setup-wizard-import-process-wrap" style="display: none;">





								<progress class="instant-setup-wizard-import-process" max="100" value="0"></progress>





							</div>





						</li>





					</ul>





				</div>





				<div class="instant-setup-wizard-import-button-wrap">





					<a class="button button-hero button-primary instant-setup-page-import-{{{ data.demo_type }}}" href="#">





						<?php esc_html_e( 'Import Template', 'instant-setup-wizard' ); ?>





					</a>





				</div>





			</div>





			<div class="result_preview" style="display: none">





			</div>





		</div>





	</div>





</script>





<?php





wp_print_admin_notice_templates();























